Bug 196619 - Review Request: perl-Data-Hierarchy - Handle data in a hierarchical structure
Review Request: perl-Data-Hierarchy - Handle data in a hierarchical structure
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 196629
  Show dependency treegraph
 
Reported: 2006-06-25 21:47 EDT by Ian Burrell
Modified: 2008-06-12 11:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-29 02:43:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Burrell 2006-06-25 21:47:22 EDT
Spec URL: http://znark.com/fedora/perl-Data-Hierarchy.spec
SRPM URL: http://znark.com/fedora/perl-Data-Hierarchy-0.21-1.src.rpm
Description: Data::Hierarchy provides a simple interface for manipulating inheritable data attached to a hierarchical environment (like filesystem).

It is required by perl-SVK.
Comment 1 Ian Burrell 2006-06-28 02:16:36 EDT
I fixed the warnings and updated to most recent version.

http://znark.com/fedora/perl-Data-Hierarchy.spec
http://znark.com/fedora/perl-Data-Hierarchy-0.22-2.src.rpm

Comment 2 Jason Tibbitts 2006-06-28 16:56:22 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   f620014fc04e38d0e3a5283e9f7d8678  Data-Hierarchy-0.22.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(Data::Hierarchy) = 0.22
   perl-Data-Hierarchy = 0.22-2.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Storable)
   perl(strict)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=12,  0 wallclock secs ( 0.04 cusr +  0.01 csys =  0.05 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 3 Ian Burrell 2006-06-29 02:43:50 EDT
Added and built for devel.
Comment 4 Ian Burrell 2008-06-11 20:22:34 EDT
Package Change Request
======================
Package Name: perl-Data-Hierarchy
New Branches: EL-4 EL-5
Comment 5 Kevin Fenzi 2008-06-12 11:54:05 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.